#include "xdobjanimmat.h"

XDObjAnimMat::XDObjAnimMat()
    : XAsset()
    , mQuat()
    , mTrans()
    , mTransWeight(0)
{
    
}

XDObjAnimMat::~XDObjAnimMat()
{
    
}

void XDObjAnimMat::ParseData(QDataStream *aStream)
{
    
}

void XDObjAnimMat::Clear()
{
    mQuat = QVector<float>();
    mTrans = QVector<float>();
    mTransWeight = 0;
}
